<template>
  <form action="#" @submit.prevent="submit">
    <div class="bg-white shadow-md rounded px-8 pt-6 pb-8 mb-4 flex flex-col">
      <div class="mb-4">
        <label
          class="block text-grey-darker text-sm font-bold mb-2"
          for="email"
        >
          Email
        </label>
        <input
          class="shadow appearance-none border rounded w-full py-2 px-3 text-grey-darker"
          name="email"
          id="email"
          type="text"
          placeholder="Email"
          v-model="form.email"
        />
      </div>
      <div class="mb-6">
        <label
          class="block text-grey-darker text-sm font-bold mb-2"
          for="password"
        >
          Mot de passe
        </label>
        <input
          class="shadow appearance-none border border-red rounded w-full py-2 px-3 text-grey-darker mb-3"
          name="password"
          v-model="form.password"
          id="password"
          type="password"
          placeholder="Mot de passe"
        />
      </div>
      <div class="flex items-center justify-center">
        <button
          type="submit"
          class="bg-orange-book hover:bg-orange-book-hover text-white font-bold py-2 px-4 rounded"
        >
          Connexion
        </button>
      </div>
    </div>
  </form>
</template>

<script>
import {
  signIn,
  getCurrentUser,
  signOut,
  isConnected,
} from "../services/authenticationService";
export default {
  name: "SignIn",
  data() {
    return {
      form: {
        email: "",
        password: "",
      },
      error: null,
    };
  },
  methods: {
    async submit() {
      let connection = await signIn(this.form.email, this.form.password);
      this.$emit("custom-event-user-co", { userIsCo: connection });
      //getCurrentUser();
    },
    deco() {
      signOut();
      isConnected();
    },
  },
  created() {
    getCurrentUser();
  },
};
</script>
